<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.oa.mapper.OaSalaryDetailMapper">

    <resultMap type="com.ruoyi.oa.domain.OaSalaryDetail" id="OaSalaryDetailResult">
        <result property="detailId" column="detail_id"/>
        <result property="mainId" column="main_id"/>
        <result property="serialNumber" column="serial_number"/>
        <result property="dept" column="dept"/>
        <result property="name" column="name"/>
        <result property="basicSalary" column="basic_salary"/>
        <result property="postSalary" column="post_salary"/>
        <result property="mealAllowance" column="meal_allowance"/>
        <result property="housingAllowance" column="housing_allowance"/>
        <result property="busAllowance" column="bus_allowance"/>
        <result property="businessDaysOther" column="business_days_other"/>
        <result property="businessAllowance" column="business_allowance"/>
        <result property="socialSecurityAllowance" column="social_security_allowance"/>
        <result property="overtimeHours" column="overtime_hours"/>
        <result property="overtimeRate" column="overtime_rate"/>
        <result property="overtimeTotal" column="overtime_total"/>
        <result property="businessDays" column="business_days"/>
        <result property="bonuses" column="bonuses"/>
        <result property="leaveDeduction" column="leave_deduction"/>
        <result property="otherDeduction" column="other_deduction"/>
        <result property="grossSalary" column="gross_salary"/>
        <result property="personalPension" column="personal_pension"/>
        <result property="personalMedical" column="personal_medical"/>
        <result property="personalUnemployment" column="personal_unemployment"/>
        <result property="personalBigMedical" column="personal_big_medical"/>
        <result property="personalHousingFund" column="personal_housing_fund"/>
        <result property="personalTax" column="personal_tax"/>
        <result property="bonusesDeducted" column="bonuses_deducted"/>
        <result property="netSalary" column="net_salary"/>
        <result property="enterprisePension" column="enterprise_pension"/>
        <result property="enterpriseMedical" column="enterprise_medical"/>
        <result property="enterpriseInjury" column="enterprise_injury"/>
        <result property="enterpriseUnemployment" column="enterprise_unemployment"/>
        <result property="enterpriseMaternity" column="enterprise_maternity"/>
        <result property="enterpriseHousingFund" column="enterprise_housing_fund"/>
        <result property="enterpriseBigMedical" column="enterprise_big_medical"/>
        <result property="unitTotalExpense" column="unit_total_expense"/>
        <result property="remark" column="remark"/>
        <result property="createTime" column="create_time"/>
        <result property="createBy" column="create_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>


</mapper>
